# TerrastalizeModifier | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class TerrastalizeModifier

#### Hierarchy (View Summary)

- ConsumablePokemonModifier
  - TerrastalizeModifier

- Defined in src/modifier/modifier.ts:2080

##### Index

### Constructors

constructor

### Properties

pokemonId
teraType
type

### Methods

add
apply
getPokemon
match
shouldApply

## Constructors

### constructor

- new TerrastalizeModifier(
  type: TerastallizeModifierType ,
  pokemonId: number,
  teraType: PokemonType ,
  ): TerrastalizeModifier

  #### Parameters

  - type: TerastallizeModifierType
  - pokemonId: number
  - teraType: PokemonType

  #### Returns TerrastalizeModifier

  Overrides ConsumablePokemonModifier.constructor

  - Defined in src/modifier/modifier.ts:2084

## Properties

### pokemonId

pokemonId: number

Inherited from ConsumablePokemonModifier.pokemonId

- Defined in src/modifier/modifier.ts:2050

### teraType

teraType: PokemonType

- Defined in src/modifier/modifier.ts:2082

### type

type: TerastallizeModifierType

Overrides ConsumablePokemonModifier.type

- Defined in src/modifier/modifier.ts:2081

## Methods

### add

- add(_modifiers: Modifier []): boolean

  #### Parameters

  - _modifiers: Modifier []

  #### Returns boolean

  Inherited from ConsumablePokemonModifier.add

  - Defined in src/modifier/modifier.ts:277

### apply

- apply(pokemon: default ): boolean

  Applies TerrastalizeModifier

  #### Parameters

  - pokemon: default

    The `PlayerPokemon` that consumes the item

  #### Returns boolean

  `true` if hp was restored

  Overrides ConsumablePokemonModifier.apply

  - Defined in src/modifier/modifier.ts:2109

### getPokemon

- getPokemon(): undefined | PlayerPokemon

  #### Returns undefined | PlayerPokemon

  Inherited from ConsumablePokemonModifier.getPokemon

  - Defined in src/modifier/modifier.ts:2075

### match

- match(_modifier: Modifier ): boolean

  #### Parameters

  - _modifier: Modifier

  #### Returns boolean

  Inherited from ConsumablePokemonModifier.match

  - Defined in src/modifier/modifier.ts:165

### shouldApply

- shouldApply(playerPokemon?: PlayerPokemon ): boolean

  Checks if TerrastalizeModifier should be applied

  #### Parameters

  - `Optional` playerPokemon: PlayerPokemon

    The `PlayerPokemon` that consumes the item

  #### Returns boolean

  `true` if the TerrastalizeModifier should be applied

  Overrides ConsumablePokemonModifier.shouldApply

  - Defined in src/modifier/modifier.ts:2095